#
# spec file for package python-inflate64
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-inflate64
Version:        1.0.0
Release:        2.2
Summary:        Deflate64 compression/decompression library
License:        LGPL-2.1-or-later
URL:            https://codeberg.org/miurahr/inflate64
Source:         https://files.pythonhosted.org/packages/source/i/inflate64/inflate64-%{version}.tar.gz
BuildRequires:  %{python_module devel >= 3.8}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools >= 45}
BuildRequires:  %{python_module setuptools_scm >= 6.0.1}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
A python package to provide compression and decompression feature with Enhanced Deflate algorithm.

%prep
%setup -q -n inflate64-%{version}

%build
export CFLAGS="%{optflags}"
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch

%files %{python_files}
%doc README.rst
%license COPYING
%{python_sitearch}/inflate64
%{python_sitearch}/inflate64-%{version}.dist-info

%changelog
* Fri Feb 16 2024 Ben Greiner <code@bnavigator.de>
- Remove bogus runtime and test requirements
* Fri Dec 15 2023 ecsos <ecsos@opensuse.org>
- Update to 1.0.0
  * Changed
  - Update CMakeLists.txt developer script
- Update to 1.0.0rc2
  * Changed
  - Update test runner for library developer (#11)
  - Project status to be stable
  - docs: update security policy
- Update to 1.0.0rc1
  * Added
  - Support python 3.12 (#9)
  * Fixed
  - Replace deprecated PyMem_Calloc with GIL free PyMem_RawCalloc
  - Use PyMem_RawFree accordingly.
  * Changed
  - Bump cibuildwheel@2.16.2
  - Update cibuildwheel configuration
  - CI on ci.codeberg.org
  - Minimum required Python verison to 3.8
* Tue Jun 27 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Dec 21 2022 Ben Greiner <code@bnavigator.de>
- Initial specfile for 0.3.1
- Required by py7zr
